CPU latest version - face detection with /v1/vision/face not working

hi,
I have been using the no-avx version for some time now and recently migrated to cpu version latest to improve the speed of the service since no-avx version was slow.

on this new cpu latest version from docker im able to successfully run the vision/detection however /vision/face e.g. face detection is not working.

Every time request is stuck and no sign of the request is seen in docker log as well. after long period call would end with timeout error. sometimes it wont even error out without any response.

below are details

  1. Docker on Synology NAS DS218+ with intel Cerelon J3355 2 GH processor and 10GB RAM.
  2. Docker version is 18.09.0-0513
  3. Object detection is working fine
  4. Key is activated
  5. On non-avx version (old setup) both object and face detection are working fine but are slow.

could someone please look into it and provide any pointers as how it can be resolved?

Thanks

Same problem here. When I asked about it they told me to go to the appdata folder, local, deepstack, logs and check the stderr text file. I haven’t solved it yet.

One thing that is strange is that from time to time it works, but most of the times it doesn’t. Tried using my program, new scripts and Postman.

I’m using a Dell Vostro 3471 with 8 GB of RAM, Intel i7-9700 CPU @ 3.00 GHz
Please share the log on your stderr log, mine is:

Process Process-2:
Traceback (most recent call last):
File “C:\DeepStack\intelligencelayer\shared\face.py”, line 186, in face
det = detector.predict(img, 0.55)
File “C:\DeepStack\intelligencelayer\shared.\process.py”, line 47, in predict
img0 = Image.open(img_path).convert(“RGB”)
File “C://DeepStack\windows_packages\PIL\Image.py”, line 2891, in open
fp = builtins.open(filename, “rb”)
FileNotFoundError: [Errno 2] No such file or directory: ‘C:\Users\angel\AppData\Local\Temp\DeepStack\27df4035-5e74-4aaf-b346-25dee6f3b7e2’

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “D:\obj\windows-release\37amd64_Release\msi_python\zip_amd64\process.py”, line 297, in _bootstrap
File “D:\obj\windows-release\37amd64_Release\msi_python\zip_amd64\process.py”, line 99, in run
File “C:\DeepStack\intelligencelayer\shared\face.py”, line 253, in face
except UnidentifiedImageError:
NameError: name ‘UnidentifiedImageError’ is not defined

i dont see anything in stderr.txt

root@deepquestai-deepstack2:/app/logs# ls -lrt                                                                                                                               
total 4                                                                                                                                                                      
-rw-r--r-- 1 root root   0 Feb  2 07:40 stderr.txt                                                                                                                           
-rw-r--r-- 1 root root 243 Feb  2 07:40 stdout.txt                                                                                                                           

Forgot to mention that you need to trigger a timeout and then check the stderr.txt file
I’m glad that I’m not the only one having this issue.
Let’s hope @john and @OlafenwaMoses can check this out.

Actually it gets stuck in call and not even a timeout error, no response at all

Hello @dearlk and @mrpie, thank you for sharing these details. We have released a new update to address this issues. See DeepStack February 2021 Release - Fixes for Jetson, Windows Native and Docker Versions - Announcement - DeepStack Forum

Please try the latest versions of DeepStack announced above and let me know if the issues occurs again. Also note, the new Versions will timeout your requests after a minute if anything goes wrong.

Thanks for your patience

Thank you so much. Now it’s working perfectly for me, registering and recognizing faces. :smiley:

1 Like